Bug 145068 - EDITING ODT show number of a moved list item as changed, not the number of the next list item
Summary: EDITING ODT show number of a moved list item as changed, not the number of th...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.3.0 inReleaseNotes
Keywords: filter:odt
Depends on:
Blocks: Track-Changes-Lists
  Show dependency treegraph
 
Reported: 2021-10-11 12:14 UTC by NISZ LibreOffice Team
Modified: 2021-12-30 13:25 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Screenshot of the problem in Writer (13.82 KB, image/png)
2021-10-11 12:16 UTC, NISZ LibreOffice Team
Details
Screenshot how it works in Word (5.59 KB, image/png)
2021-10-11 12:16 UTC, NISZ LibreOffice Team
Details
Example file with list (9.38 KB, application/vnd.oasis.opendocument.text)
2021-10-11 12:17 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2021-10-11 12:14:38 UTC
Description:
When tracking changes to list items, the numbering is different from MSO, which is especially confusing when moving list items (in Word, you can move list items with the Shift-Alt up and down arrow, not just by selecting, cutting and pasting a paragraph

Steps to Reproduce:
1.Open attached file
2.Move a list element


Actual Results:
The deleted and inserted numbering is not on the moved line, but on the next line 

Expected Results:
In Word it is on the same line


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.3.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: c2de581d1943df2d84f2b71817b6a8bee41f0217
CPU threads: 8; OS: Windows 10.0 Build 18363; UI render: Skia/Vulkan; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: CL
Comment 1 NISZ LibreOffice Team 2021-10-11 12:16:17 UTC
Created attachment 175662 [details]
Screenshot of the problem in Writer
Comment 2 NISZ LibreOffice Team 2021-10-11 12:16:46 UTC
Created attachment 175663 [details]
Screenshot how it works in Word
Comment 3 NISZ LibreOffice Team 2021-10-11 12:17:36 UTC
Created attachment 175664 [details]
Example file with list
Comment 4 Commit Notification 2021-10-15 07:02:13 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/8c55fc357cf0bb0608be23098b9d3d565dae2b48

tdf#145068 sw change tracking: highlight numbering of changed list items

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 NISZ LibreOffice Team 2021-11-04 09:40:26 UTC
Verified in:
Version: 7.3.0.0.alpha1+ (x64) / LibreOffice Community
Build ID: c7500945fc5d5bd2130a2d38be0bd4b15445cd90
CPU threads: 8; OS: Windows 10.0 Build 18363; UI render: Skia/Vulkan; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: CL
Comment 6 stragu 2021-12-30 13:25:33 UTC
Reviewing 7.3 release notes.

Also verified as fixed on Ubuntu 18.04 with:

Version: 7.3.0.1 / LibreOffice Community
Build ID: 840fe2f57ae5ad80d62bfa6e25550cb10ddabd1d
CPU threads: 8; OS: Linux 5.4; UI render: default; VCL: gtk3
Locale: en-AU (en_AU.UTF-8); UI: en-US
Calc: threaded

Using the toolbar buttons to move a list item now shows the cut and paste green track change format.